﻿/*
* Copyright 2010-2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.
*
* Licensed under the Apache License, Version 2.0 (the "License").
* You may not use this file except in compliance with the License.
* A copy of the License is located at
*
*  http://aws.amazon.com/apache2.0
*
* or in the "license" file accompanying this file. This file is distributed
* on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied. See the License for the specific language governing
* permissions and limitations under the License.
*/

#include <aws/lightsail/model/GetRegionsRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Lightsail::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;

GetRegionsRequest::GetRegionsRequest() : 
    m_includeAvailabilityZones(false),
    m_includeAvailabilityZonesHasBeenSet(false),
    m_includeRelationalDatabaseAvailabilityZones(false),
    m_includeRelationalDatabaseAvailabilityZonesHasBeenSet(false)
{
}

Aws::String GetRegionsRequest::SerializePayload() const
{
  JsonValue payload;

  if(m_includeAvailabilityZonesHasBeenSet)
  {
   payload.WithBool("includeAvailabilityZones", m_includeAvailabilityZones);

  }

  if(m_includeRelationalDatabaseAvailabilityZonesHasBeenSet)
  {
   payload.WithBool("includeRelationalDatabaseAvailabilityZones", m_includeRelationalDatabaseAvailabilityZones);

  }

  return payload.View().WriteReadable();
}

Aws::Http::HeaderValueCollection GetRegionsRequest::GetRequestSpecificHeaders() const
{
  Aws::Http::HeaderValueCollection headers;
  headers.insert(Aws::Http::HeaderValuePair("X-Amz-Target", "Lightsail_20161128.GetRegions"));
  return headers;

}




