﻿/*
* Copyright 2010-2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.
*
* Licensed under the Apache License, Version 2.0 (the "License").
* You may not use this file except in compliance with the License.
* A copy of the License is located at
*
*  http://aws.amazon.com/apache2.0
*
* or in the "license" file accompanying this file. This file is distributed
* on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied. See the License for the specific language governing
* permissions and limitations under the License.
*/

#include <aws/route53/model/GetGeoLocationRequest.h>
#include <aws/core/utils/xml/XmlSerializer.h>
#include <aws/core/utils/memory/stl/AWSStringStream.h>
#include <aws/core/http/URI.h>
#include <aws/core/utils/memory/stl/AWSStringStream.h>

#include <utility>

using namespace Aws::Route53::Model;
using namespace Aws::Utils::Xml;
using namespace Aws::Utils;
using namespace Aws::Http;

GetGeoLocationRequest::GetGeoLocationRequest() : 
    m_continentCodeHasBeenSet(false),
    m_countryCodeHasBeenSet(false),
    m_subdivisionCodeHasBeenSet(false)
{
}

Aws::String GetGeoLocationRequest::SerializePayload() const
{
  return {};
}

void GetGeoLocationRequest::AddQueryStringParameters(URI& uri) const
{
    Aws::StringStream ss;
    if(m_continentCodeHasBeenSet)
    {
      ss << m_continentCode;
      uri.AddQueryStringParameter("continentcode", ss.str());
      ss.str("");
    }

    if(m_countryCodeHasBeenSet)
    {
      ss << m_countryCode;
      uri.AddQueryStringParameter("countrycode", ss.str());
      ss.str("");
    }

    if(m_subdivisionCodeHasBeenSet)
    {
      ss << m_subdivisionCode;
      uri.AddQueryStringParameter("subdivisioncode", ss.str());
      ss.str("");
    }

}

