﻿/*
* Copyright 2010-2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.
*
* Licensed under the Apache License, Version 2.0 (the "License").
* You may not use this file except in compliance with the License.
* A copy of the License is located at
*
*  http://aws.amazon.com/apache2.0
*
* or in the "license" file accompanying this file. This file is distributed
* on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied. See the License for the specific language governing
* permissions and limitations under the License.
*/

#include <aws/signer/model/ListSigningPlatformsRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/http/URI.h>
#include <aws/core/utils/memory/stl/AWSStringStream.h>

#include <utility>

using namespace Aws::signer::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws::Http;

ListSigningPlatformsRequest::ListSigningPlatformsRequest() : 
    m_categoryHasBeenSet(false),
    m_partnerHasBeenSet(false),
    m_targetHasBeenSet(false),
    m_maxResults(0),
    m_maxResultsHasBeenSet(false),
    m_nextTokenHasBeenSet(false)
{
}

Aws::String ListSigningPlatformsRequest::SerializePayload() const
{
  return {};
}

void ListSigningPlatformsRequest::AddQueryStringParameters(URI& uri) const
{
    Aws::StringStream ss;
    if(m_categoryHasBeenSet)
    {
      ss << m_category;
      uri.AddQueryStringParameter("category", ss.str());
      ss.str("");
    }

    if(m_partnerHasBeenSet)
    {
      ss << m_partner;
      uri.AddQueryStringParameter("partner", ss.str());
      ss.str("");
    }

    if(m_targetHasBeenSet)
    {
      ss << m_target;
      uri.AddQueryStringParameter("target", ss.str());
      ss.str("");
    }

    if(m_maxResultsHasBeenSet)
    {
      ss << m_maxResults;
      uri.AddQueryStringParameter("maxResults", ss.str());
      ss.str("");
    }

    if(m_nextTokenHasBeenSet)
    {
      ss << m_nextToken;
      uri.AddQueryStringParameter("nextToken", ss.str());
      ss.str("");
    }

}



